Bug 146332 - Network not working properly on IBM HS20 Blade with copper-pass through and kernel 2.4.21-27.0.2.ELsmp; link detection problem
Network not working properly on IBM HS20 Blade with copper-pass through and k...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: David Miller
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-26 21:53 EST by Bojan Zdrnja
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:08:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bojan Zdrnja 2005-01-26 21:53:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
After installation of new kernel network is not working properly on
blades.
It seems that the module is detecting link going down&up all the time.
This problem didn't exist with 2.4.21-20.0.1.ELsmp kernel.

Boot log:

Jan 27 15:38:58 cerberus1 kernel: tg3.c:v3.10RH (September 14, 2004)
Jan 27 15:38:58 cerberus1 kernel: eth0: Tigon3 [partno(BCM95704A41)
rev 2002 PHY(serdes)] (PCIX:133MHz:64-bit) 10/100/1000BaseT Ethernet 0
0:09:6b:b5:38:c2
Jan 27 15:38:58 cerberus1 kernel: eth0: RXcsums[1] LinkChgREG[0]
MIirq[0] ASF[0] Split[0] WireSpeed[1] TSOcap[0]


After the system is up:

Jan 27 15:39:07 cerberus1 kernel: tg3: eth0: Link is down.
Jan 27 15:39:09 cerberus1 kernel: tg3: eth0: Link is up at 1000 Mbps,
full duplex.
Jan 27 15:39:09 cerberus1 kernel: tg3: eth0: Flow control is off for
TX and off for RX.
Jan 27 15:39:10 cerberus1 kernel: tg3: eth0: Link is down.
Jan 27 15:39:12 cerberus1 kernel: tg3: eth0: Link is up at 1000 Mbps,
full duplex.
Jan 27 15:39:12 cerberus1 kernel: tg3: eth0: Flow control is off for
TX and off for RX.
Jan 27 15:39:13 cerberus1 kernel: tg3: eth0: Link is down.
Jan 27 15:39:15 cerberus1 kernel: tg3: eth0: Link is up at 1000 Mbps,
full duplex.
Jan 27 15:39:15 cerberus1 kernel: tg3: eth0: Flow control is off for
TX and off for RX.
Jan 27 15:39:16 cerberus1 kernel: tg3: eth0: Link is down.
Jan 27 15:39:18 cerberus1 kernel: tg3: eth0: Link is up at 1000 Mbps,
full duplex.
Jan 27 15:39:18 cerberus1 kernel: tg3: eth0: Flow control is off for
TX and off for RX.

... and it continues forever.


Version-Release number of selected component (if applicable):
kernel-smp-2.4.21-27.0.2.EL

How reproducible:
Always

Steps to Reproduce:
1. Reboot the system with 2.4.21-27.0.2ELsmp kernel.
    

Actual Results:  Network is not working properly.

Expected Results:  Network working.

Additional info:
Comment 1 Bojan Zdrnja 2005-01-27 16:33:26 EST
Just one more note.
This happens only on Blades which have copper pass-thru module 
installed (this module allows direct connection of blades NICs, 
without the internal Dlink switch; more info at http://www-
132.ibm.com/webapp/wcs/stores/servlet/ProductDisplay?
productId=8730584&storeId=1&langId=-1&catalogId=-840)

Blades which are normally connected (standard setup with the Dlink 
switch) work ok with new kernel.
Comment 2 RHEL Product and Program Management 2007-10-19 15:08:30 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.